Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 883568 - rpm repo sync schedules create says that the sync interval is optional, but it is required
Summary: rpm repo sync schedules create says that the sync interval is optional, but i...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: user-experience
Version: 2.0.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Jay Dobies
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-04 21:48 UTC by Randy Barlow
Modified: 2013-09-09 16:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-09 17:08:45 UTC


Attachments (Terms of Use)

Description Randy Barlow 2012-12-04 21:48:56 UTC
If I call create, the help text from the client says that the interval on a sync schedule is optional, but it is not. The docs correctly state that the interval is required.

$ pulp-admin rpm repo sync schedules create
Command: create
Description: adds a new scheduled sync operation

Available Arguments:

  --schedule, -s          - (required) time to execute (with optional
                            recurrence) in iso8601 format
                            (yyyy-mm-ddThh:mm:ssZ/PiuT)

We should fix the help text to mention that the recurrence interval is required, or we should make it optional.

Comment 1 Jay Dobies 2012-12-05 21:31:18 UTC
Pulp Git Repository Commit: 65857b7333be6fbe902399c2ce3cfc4b67bcdb19

Comment 2 Jay Dobies 2012-12-07 14:06:07 UTC
Fixed in the 0.12 beta.

Comment 3 Preethi Thomas 2012-12-07 15:46:57 UTC
verified
[root@preethi ~]# rpm -q pulp-server
pulp-server-2.0.6-0.11.beta.noarch
[root@preethi ~]# 


root@preethi-el6-pulp ~]# pulp-admin rpm repo sync schedules create --help
Command: create
Description: adds a new scheduled sync operation

Available Arguments:

  --schedule, -s          - (required) time to execute in iso8601 format
                            (yyyy-mm-ddThh:mm:ssZ/PiuT); the number of
                            recurrences may be specified in this value

[root@preethi-el6-pulp ~]# 
[root@preethi-el6-pulp ~]# 
[root@preethi-el6-pulp ~]# 
[root@preethi-el6-pulp ~]# pulp-admin rpm repo sync schedules update --help
Command: update
Description: updates an existing schedule

Available Arguments:

 
  --schedule, -s          - time to execute in iso8601 format
                            (yyyy-mm-ddThh:mm:ssZ/PiuT); the number of
                            recurrences may be specified in this value
  -
[root@preethi-el6-pulp ~]#

Comment 4 Preethi Thomas 2013-01-09 17:08:45 UTC
Pulp v2.0 released


Note You need to log in before you can comment on or make changes to this bug.